%global __requires_exclude devel\\(libadns|devel\\(libtcl

%define	major		4
%define libname		%mklibname oop %{major}
%define develname	%mklibname oop -d

%define glib2major	0
%define glib2lib	%mklibname oop-glib2_ %{glib2major}

%define tclmajor	0
%define tcllib		%mklibname oop-tcl %{tclmajor}

Summary:	A low-level event loop management library for POSIX-based OS'es
Name:		liboop
Version:	1.0.1
Release:	%mkrel 1
License:	LGPLv2
Group:		System/Libraries
URL:		http://www.lysator.liu.se/liboop/
Source0:	http://ftp.lysator.liu.se/pub/liboop/liboop-1.0.1.tar.gz
Patch0:		liboop-linkage_fix.diff
# Add 8.5 and 8.6 to tcl versions configure script detects - AdamW
# 2008/12
Patch1:		liboop-1.0-tcl86.patch
BuildRequires:	libtool
BuildRequires:	automake
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(tcl)

%description
Liboop is a low-level event loop management library for POSIX-based
operating systems. It supports the development of modular,
multiplexed applications which may respond to events from several
sources. It replaces the "select() loop" and allows the
registration of event handlers for file and network I/O, timers and
signals. Since processes use these mechanisms for almost all
external communication, liboop can be used as the basis for almost
any application.

%package -n	%{libname}
Summary:	A low-level event loop management library for POSIX-based OS'es
Group:          System/Libraries

%description -n	%{libname}
Liboop is a low-level event loop management library for POSIX-based
operating systems. It supports the development of modular,
multiplexed applications which may respond to events from several
sources. It replaces the "select() loop" and allows the
registration of event handlers for file and network I/O, timers and
signals. Since processes use these mechanisms for almost all
external communication, liboop can be used as the basis for almost
any application.

%package -n	%{glib2lib}
Summary:	A low-level event loop management library for POSIX-based OS'es
Group:		System/Libraries

%description -n %{glib2lib}
Liboop is a low-level event loop management library for POSIX-based
operating systems. It supports the development of modular,
multiplexed applications which may respond to events from several
sources. It replaces the "select() loop" and allows the
registration of event handlers for file and network I/O, timers and
signals. Since processes use these mechanisms for almost all
external communication, liboop can be used as the basis for almost
any application.

%package -n	%{tcllib}
Summary:	A low-level event loop management library for POSIX-based OS'es
Group:		System/Libraries
Conflicts:	%{_lib}oop4 < 1.0-19

%description -n %{tcllib}
Liboop is a low-level event loop management library for POSIX-based
operating systems. It supports the development of modular,
multiplexed applications which may respond to events from several
sources. It replaces the "select() loop" and allows the
registration of event handlers for file and network I/O, timers and
signals. Since processes use these mechanisms for almost all
external communication, liboop can be used as the basis for almost
any application.

%package -n	%{develname}
Summary:	Development library and header files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{glib2lib} = %{version}-%{release}
Requires:	%{tcllib} = %{version}-%{release}
Provides:	oop-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Liboop is a low-level event loop management library for POSIX-based
operating systems. It supports the development of modular,
multiplexed applications which may respond to events from several
sources. It replaces the "select() loop" and allows the
registration of event handlers for file and network I/O, timers and
signals. Since processes use these mechanisms for almost all
external communication, liboop can be used as the basis for almost
any application.

%prep

%setup -q
%autopatch -p1

%build
autoreconf -vfi
export CFLAGS="%{optflags} -fPIC"
%configure --disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/liboop.so.%{major}{,.*}

%files -n %{glib2lib}
%{_libdir}/liboop-glib2.so.%{glib2major}{,.*}

%files -n %{tcllib}
%{_libdir}/liboop-tcl.so.%{tclmajor}{,.*}

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Dec 12 2020 wally <wally> 1.0.1-1.mga8
+ Revision: 1655816
- new version 1.0.1

* Thu May 28 2020 daviddavid <daviddavid> 1.0-22.mga8
+ Revision: 1588499
- package liboop-glib2 libraries

* Thu Feb 13 2020 umeabot <umeabot> 1.0-21.mga8
+ Revision: 1514346
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0-20.mga7
+ Revision: 1299070
- Mageia 7 Mass Rebuild

* Sat Jun 23 2018 wally <wally> 1.0-19.mga7
+ Revision: 1239217
- add patch to fix build
- split out liboop-tcl lib
+ kekepower <kekepower>
- Use make_install

* Thu Feb 11 2016 wally <wally> 1.0-18.mga6
+ Revision: 955855
- drop .la files
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Oct 05 2015 daviddavid <daviddavid> 1.0-17.mga6
+ Revision: 886287
- rebuild for new tcl 8.6.4

* Wed Oct 15 2014 umeabot <umeabot> 1.0-16.mga5
+ Revision: 750164
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-15.mga5
+ Revision: 681681
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Oct 19 2013 umeabot <umeabot> 1.0-14.mga4
+ Revision: 532984
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 dlucio <dlucio> 1.0-13.mga4
+ Revision: 470566
- bump release

* Sat Jan 12 2013 umeabot <umeabot> 1.0-12.mga3
+ Revision: 357931
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dlucio <dlucio> 1.0-11.mga3
+ Revision: 331695
- some requieres not necesary at mageia are dropped
- no static
- imported package liboop


* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0-10mdv2011.0
+ Revision: 627790
- don't force the usage of automake1.7

* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-9mdv2011.0
+ Revision: 620169
- the mass rebuild of 2010.0 packages

* Sun Sep 13 2009 Thierry Vignaud <tv@mandriva.org> 1.0-8mdv2010.0
+ Revision: 438723
- rebuild

* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.org> 1.0-7mdv2009.1
+ Revision: 311070
- rebuild for new tcl
- add tcl86.patch (make it detect tcl 8.5 and 8.6)

* Wed Jul 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0-6mdv2009.0
+ Revision: 232987
- fix build

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0-5mdv2008.1
+ Revision: 136557
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0-5mdv2008.0
+ Revision: 83684
- new devel naming


* Mon Nov 20 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-4mdv2007.0
+ Revision: 85476
- Import liboop

* Mon Nov 20 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-4mdv2007.1
- rebuild

* Sun Jan 01 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-3mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Sun Dec 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-2mdk
- use better catching in the _requires_exceptions macro (amd64 fix)

* Mon Aug 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-1mdk
- initial mandrake package

